Search the Community
Showing results for tags 'match'.
-
AutoCAD 2d to Inventor 3D workflow -with metric to inches thrown in....
Dinochrome posted a topic in Autodesk Inventor
Does six months a Zombie thread make? I found a different thread in a different sub-forum in which someone had asked a very similar, but somewhat different question. I thought I'd start my own thread rather than pollute his. I am learning Inventor. I have been tasked with a sample job to draw. I have been going through an organized Tutorial Program my employer has footed the bill for. I have also watched a lot of Neil Cross "TFI CAD" videos. He makes it easy to understand. My task is to create production drawings of an assembly draw in 2D AutoCAD like a manufacturer might show to an Architect for approval. The output is to be 3D modeled in Inventor for production. As I've been bringing my parts across, they are coming scaled down like they are drawn in millimeters. In AutoCAD when I check a dimension it shows inches and there aren't any strange setting in the DIMSTYLES that I can find. They are set to inches. The donor AutoCAD file had INSUNITS set to 4. I switched it to 0. That didn't seem to change the behavior. This is the Zombie thread: Insert Units Thread I have not tried this: Editing Acaddoc.lsp Any enlightenment would be appreciated. --------------------------------------------------------------------------------------- As an aside, re: Neil Cross's work; here is an example of a well done tutorial on the steering wheel. I've used it like a wood saw on a steel pipe for years... I posted a remark on it here a couple days ago. It's after hours and I'm doing a little self-improvement time and wanted to share this.- 4 replies
-
- match
- insunitsdeftarget
-
(and 3 more)
Tagged with:
-
Lee, In your Match Text Properties program you mention.... Not sure HOW or WHERE to do this. Looking to do Height, StyleName, Scalefactor, Linespacing Factor. Program as written is not working on the drawing that I am trying to change. It was converted from VISIO if that matters. Please advise. ;;---------------=={ Match Text Properties }==----------------;; ;; ;; ;; Prompts for a selection of Text, MText, Attribute, or ;; ;; Attribute Definition object to use as property source, ;; ;; then proceed to match those properties listed for similar ;; ;; objects selected thereafter. ;; ;;------------------------------------------------------------;; ;; Author: Lee Mac, Copyright © 2010 - www.lee-mac.com ;; ;;------------------------------------------------------------;; (defun c:MTP nil (c:MatchTextProps)) (defun c:MatchTextProps ( / *error* _StartUndo _EndUndo _GetTextInsertion _PutTextInsertion Props doc entity object ss ) (vl-load-com) ;; © Lee Mac 2010 (setq Props '( Alignment AttachmentPoint BackgroundFill Backward DrawingDirection Height Layer LineSpacingDistance LineSpacingFactor LineSpacingStyle Linetype LinetypeScale Lineweight ObliqueAngle Rotation ScaleFactor StyleName ; TextString Thickness UpsideDown Width ) ) (setq doc (vla-get-ActiveDocument (vlax-get-acad-object))) (defun *error* ( msg ) (if doc (_EndUndo doc)) (if mutt (setvar 'NOMUTT mutt)) (or (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*") (princ (strcat "\n** Error: " msg " **"))) (princ) ) (defun _StartUndo ( doc ) (_EndUndo doc) (vla-StartUndoMark doc) ) (defun _EndUndo ( doc ) (if (= 8 (logand 8 (getvar 'UNDOCTL))) (vla-EndUndoMark doc) ) ) (defun _GetTextInsertion ( object ) (vlax-get-property object (if (or (eq "AcDbMText" (vla-get-ObjectName object)) (vl-position (vla-get-Alignment object) (list acAlignmentLeft acAlignmentFit acAlignmentAligned) ) ) 'InsertionPoint 'TextAlignmentPoint ) ) ) (defun _PutTextInsertion ( object point ) (vlax-put-property object (if (or (eq "AcDbMText" (vla-get-ObjectName object)) (vl-position (vla-get-Alignment object) (list acAlignmentLeft acAlignmentFit acAlignmentAligned) ) ) 'InsertionPoint 'TextAlignmentPoint ) point ) ) (if (and (setq entity (LM:Selectif (lambda ( x ) (wcmatch (cdr (assoc 0 (entget x))) "TEXT,MTEXT,ATTRIB,ATTDEF") ) nentsel "\nSelect Source Object: " ) ) (progn (setq mutt (getvar 'NOMUTT)) (setvar 'NOMUTT 1) (princ (strcat "\nSelect Destination " (cdr (assoc 0 (entget entity))) " objects: ")) (setq object (vlax-ename->vla-object entity) ss (ssget "_:L" (list (assoc 0 (entget entity)) ) ) ) (setvar 'NOMUTT mutt) ss ) ) ( (lambda ( i values / entity obj ) (_StartUndo doc) (while (setq entity (ssname ss (setq i (1+ i)))) (setq obj (vlax-ename->vla-object entity)) (mapcar (function (lambda ( prop value ) (if (vl-catch-all-error-p (vl-catch-all-apply (function (lambda nil (if (and (vlax-property-available-p obj prop t) value) (if (vl-position prop '(Alignment AttachmentPoint)) ( (lambda ( insertion ) (vlax-put-property obj prop value) (_PutTextInsertion obj insertion) ) (_GetTextInsertion obj) ) (vlax-put-property obj prop value) ) ) ) ) ) ) (princ (strcat "\n** Error Applying Property: " Prop " **")) ) ) ) Props Values ) ) (_EndUndo doc) ) -1 (mapcar (function (lambda ( prop ) (if (vlax-property-available-p object prop) (vlax-get-property object prop) ) ) ) Props ) ) ) (princ) ) ;;---------------------=={ Select if }==----------------------;; ;; ;; ;; Continuous selection prompts until the predicate function ;; ;; foo is validated ;; ;;------------------------------------------------------------;; ;; Author: Lee Mac, Copyright © 2010 - www.lee-mac.com ;; ;;------------------------------------------------------------;; ;; Arguments: ;; ;; foo - optional predicate function taking ename argument ;; ;; fun - selection function to invoke ;; ;; str - prompt string ;; ;;------------------------------------------------------------;; ;; Returns: selected entity ename if successful, else nil ;; ;;------------------------------------------------------------;; (defun LM:Selectif ( foo fun str / e ) ;; © Lee Mac 2010 (while (progn (setq e (car (fun str))) (cond ( (eq 'ENAME (type e)) (if (and foo (not (foo e))) (princ "\n** Invalid Object Selected **") ) ) ) ) ) e ) Thanks Much!!
-
Dear all, my google-fu has failed me. I have a dozen of drawings each with a layer named LOGIC. I have modified layer properties (default color, line style, etc.) on one of them and I want to replicate these properties to the others. Question is: how?
-
I have a whole lot of U-Bolts that I need to make in to Dynamic Blocks - I need to just add a stretch parameter so the nuts can be moved up and down according to plate thickness. I've done about 15 so far, quite a few left - then I wondered if it was possible to match properties of one completed dynamic block, to one non-dynamic block? Thanks.